#ifndef _C4D_OMP_H_
#define _C4D_OMP_H_

//#ifndef _DEBUG
#if defined _OPENMP

// use C4D_USE_OPENMP within the source code to check if OpenMP compilation is enabled or not
#define C4D_USE_OPENMP

#endif // _OPENMP
//#endif // _DEBUG

#ifdef C4D_USE_OPENMP
#include <omp.h>
#else

int omp_get_thread_num(void);
int omp_get_max_threads(void);
double omp_get_wtime();

#endif // C4D_USE_OPENMP

#endif // _C4D_OMP_H_